:root{
    --color-green : rgb(61, 183, 90);
    --color-green-2:rgb(40, 118, 58);
    --color-black: rgb(0, 0, 0);
    --color-black-2: rgb(35, 35, 35);
    --color-black-3: rgb(69, 69, 69);
    --color-white: rgb(255, 255, 255);
    --color-white-2: rgb(209, 209, 209);
    --color-white-3: rgba(166, 166, 166, 0.65);
}

body{
    height: 100%;
    margin: 1.5rem 0 0.8rem 0;
    background-color: var(--color-black);
    color: var(--color-white);
    font-family: Arial, Helvetica, sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2rem;
    transition: .4s;
    & footer{
        margin-top: auto;
    }
}

/* listas */

.content-input{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.5rem;
    gap: 2rem;

    & #input-text, #btn-input{
        padding: 1rem;
        border: none;
        border-radius: 2rem;
        outline: none;
    }

    & #input-text{
        width: 10rem;
    }
}

.content-finish{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 25rem;
    padding: 1rem 2rem;

    & li{
        display: flex;
        align-items: center;
        justify-content: space-between;
        width: 25rem;
        padding: 1rem 2rem;
        border-radius: 2rem;
        transition: .4s;
        
    }

    & li:hover{
        background-color: var(--color-black-2);
    }
}

ul{
    display: flex;
    flex-direction: column;
    align-items: center;
    list-style: none;
    padding: 0;
    margin: 0;
    
    & li{
        display: flex;
        align-items: center;
        justify-content: space-between;
        width: 25rem;
        padding: 1rem 2rem;
        border-radius: 2rem;
        transition: .4s;
        
    }
}

/* Ui-buttons */

.action-btn{
    background-color: var(--color-green);
    transition: .4s;
    padding: 0.8rem;
    border: none;
    border-radius: 2rem;
    cursor: pointer;
}

.action-btn:hover{
    background-color: var(--color-green-2);
}

.action-buttons{
    display: flex;
    flex-direction: row;
    gap: 0.4rem;
}

svg{
    height: 1rem;
    width: 1rem;
    transition: .4s;
}

.btn-ui{
    padding: 1rem;
    border: none;
    border-radius: 2rem;
    outline: none;
    background-color: var(--color-black-2);
    transition: .4s;
    cursor: pointer;
}

.btn-ui:hover{
    background-color: var(--color-black-3);
}

#btn-switch-mode{
    position: fixed;
    top: 1.5rem;
    right: 1.5rem;
    transition: .4s;
}

/* Media Query para telas menores (até 768px - tablets e celulares) */
@media (max-width: 768px) {
    ul{
        display: flex;
        flex-direction: column;
        align-items: center;
        list-style: none;
        padding: 0;
        margin: 0;
        
        & li{
            display: flex;
            align-items: center;
            justify-content: space-between;
            width: 18rem;
            padding: 1rem 2rem;
            border-radius: 2rem;
            transition: .4s;
            
        }
    }
    .content-input{
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 0.5rem;
        gap: 2rem;
    
        & #input-text, #btn-input{
            padding: 1rem;
            border: none;
            border-radius: 2rem;
            outline: none;
        }
    
        & #input-text{
            width: 10rem;
        }
    }

    .content-finish{
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 18rem;
        padding: 1rem 2rem;
    
        & li{
            display: flex;
            align-items: center;
            justify-content: space-between;
            width: 18rem;
            padding: 1rem 2rem;
            border-radius: 2rem;
            transition: .4s;
            
        }
    }

    #btn-switch-mode{
        position: fixed;
        top: 1.5rem;
        right: 1.5rem;
        transition: .4s;
    }
}

/* Media Query para telas maiores (acima de 768px - desktops) */
/* @media (min-width: 769px) {
} */

/* dark mode */
body.dark-mode{
    background-color: var(--color-black);
    color: var(--color-white);
}

.btn-ui.dark-mode{
    background-color: var(--color-black-2);
}

#input-text.dark-mode{
    border: 0px solid rgba(255, 255, 255, 0);
}

svg.dark-mode{
    fill: var(--color-white-2);
}

.btn-ui.dark-mode:hover{
    background-color: var(--color-black-3);
}

li.dark-mode:hover{
    background-color: var(--color-black-2);
}

/* light mode */
body.light-mode{
    background-color: var(--color-white);
    color: var(--color-black);
}

.btn-ui.light-mode{
    background-color: var(--color-white-2);
}

#input-text.light-mode{
    border: 1px solid var(--color-black-3);
}

svg.light-mode{
    fill: var(--color-black-2);
}

.btn-ui.light-mode:hover{
    background-color: var(--color-black-3);
}

li.light-mode:hover{
    background-color: var(--color-white-2);
}